> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get all active peer-to-peer asset swap offers on Cardano with filtering and pagination support.

# Get all offers



## OpenAPI

````yaml cardano/managed-contracts-api/openapi.json get /contracts/directSwap/getOffers
openapi: 3.0.3
info:
  title: Cardano - Managed Contracts API
  description: https://docs.gomaestro.org/getting-started
  contact:
    name: Maestro
    email: info@gomaestro.org
    url: https://gomaestro.org/
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.9.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
paths:
  /contracts/directSwap/getOffers:
    get:
      tags:
        - Direct Swap
      summary: Get all offers
      description: Get all the existing offers for direct swap
      operationId: dswap_get_all_offers
      responses:
        '200':
          description: Offers retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReadableUTxOArray'
        '400':
          description: Bad Request. Invalid request body provided.
components:
  schemas:
    ReadableUTxOArray:
      type: array
      items:
        $ref: '#/components/schemas/ReadableUTxO'
    ReadableUTxO:
      type: object
      properties:
        outRef:
          $ref: '#/components/schemas/OutRef'
        datum:
          $ref: '#/components/schemas/OfferDatum'
        assets:
          $ref: '#/components/schemas/Assets'
      required:
        - outRef
        - datum
        - assets
    OutRef:
      type: object
      description: UTXO
      properties:
        tx_hash:
          type: string
          description: Transaction hash
        output_index:
          type: number
          description: Output index
      required:
        - tx_hash
        - output_index
    OfferDatum:
      type: object
      properties:
        creator:
          $ref: '#/components/schemas/Creator'
        toBuy:
          type: object
          example:
            policyId1:
              assetName1: '123'
            policyId2:
              assetName2: '456'
            policyId3:
              assetName3: '789'
          additionalProperties:
            type: object
            additionalProperties:
              type: string
              format: bigint
      required:
        - creator
        - toBuy
    Assets:
      type: object
      additionalProperties:
        type: string
      example:
        policyId1assetName1: '123'
        policyId2assetName2: '456'
        policyId3assetName3: '789'
      description: A record with string keys and bigint values
    Creator:
      type: object
      properties:
        paymentCredential:
          oneOf:
            - $ref: '#/components/schemas/PublicKeyCredential'
            - $ref: '#/components/schemas/ScriptCredential'
        stakeCredential:
          oneOf:
            - $ref: '#/components/schemas/Inline'
            - $ref: '#/components/schemas/Pointer'
      required:
        - paymentCredential
        - stakeCredential
    PublicKeyCredential:
      type: array
      items:
        type: string
    ScriptCredential:
      type: array
      items:
        type: string
    Inline:
      type: array
      items:
        oneOf:
          - $ref: '#/components/schemas/PublicKeyCredential'
          - $ref: '#/components/schemas/ScriptCredential'
    Pointer:
      type: array
      items:
        type: object
        properties:
          slotNumber:
            type: string
            format: bigint
          transactionIndex:
            type: string
            format: bigint
          certificateIndex:
            type: string
            format: bigint
        required:
          - slotNumber
          - transactionIndex
          - certificateIndex
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````